@import 'styles'

body
  margin: 0
  font-family: $fonts
  font-size: $font-size
  -webkit-font-smoothing: antialiased
  -moz-osx-font-smoothing: grayscale
  background-color: gray

code
  font-family: $fonts-code

#root
  height: 100vh
  display: flex

.main-block
  width: 100%
  @include grid
  padding: $gap
  grid-template-rows: minmax(100px, max-content) 1fr 100px

.dice-panel, .control-panel, .log-panel
  background-color: white
  padding: $gap

.control-panel
  @include grid
  grid-template-columns: 0.4fr 1.5fr 1fr
  align-items: center
  &__options
    @include grid
    grid-template-columns: [labels] 1fr [checkboxes] 0.8fr
    label
      grid-column: labels
      text-align: end
    input
      grid-column: checkboxes
      align-self: flex-end
  &__params
    @include flex
    flex-wrap: wrap
    div
      @include flex
  &__actions
    @include grid
    grid-template-columns: repeat(auto-fit, minmax(200px, 1fr))
    button
      height: 6vh
      font-size: $font-size
      cursor: pointer
    div
      @include grid
      grid-template-columns: repeat(auto-fit, minmax(120px, 1fr))

.modtype
  cursor: pointer
  display: block
  width: $font-size / 2
  font-weight: bold

.dice-panel
  display: flex
  overflow-y: scroll
  .dice-throw
    @include flex
    flex-wrap: wrap
    justify-content: center
    margin: auto
    &__dice
      display: flex
      height: $dice
      width: $dice
      background-color: gold
      border: 5px solid black
      span
        margin: auto
        font-size: 3*$font-size
        font-weight: bold
        user-select: none
    &__dice.roll
      cursor: pointer
      &:hover
        background-color: darken(gold, 5)
      &:active
        background-color: lighten(gold, 5)

.log-panel
  @include grid
  grid-template-columns: 1fr 1fr 6fr
  span
    display: block
    align-self: center
  &__label-log
    text-align: end
  textarea
    resize: none
